package higa.jhcl.model;

import java.util.EventListener;

import higa.util.BasicEvent;
import higa.util.Dispatch;

public abstract class ModelEvent
  extends BasicEvent implements Dispatch {

  public static final int CONTENT_CHANGED = 0x0001;
  public static final int STRUCTURE_CHANGED = 0x0002;

  private int change;

  public ModelEvent(Object source, int change) {
    super(source, change & 0x000F);
    this.change = change;
  }

  public int getChange() {
    return change;
  }
}