package higa.sql.dataset;

public class Status {

  public static final int NORMAL = 0;
  public static final int INSERTED = 1;
  public static final int UPDATED = 2;
  public static final int DELETED = 3;
  public static final int STRUCTURE_CHANGED = 4;

  public static String getStatusName(int status) {
    switch (status) {
      case NORMAL:
        return "NORMAL";
      case INSERTED:
        return "INSERTED";
      case UPDATED:
        return "UPDATED";
      case DELETED:
        return "DELETED";
      case STRUCTURE_CHANGED:
        return "STRUCTURE_CHANGED";
      default:
        throw new IllegalArgumentException(
          "status:" + status);
    }
  }

  private Status() {}
}