package higa.jhcl.control;

import higa.jhcl.view.ButtonView;
import higa.jhcl.view.TextItemPainter;
import higa.jhcl.view.FocusableItemPainter;

import higa.jhcl.model.ItemPainter;
import higa.jhcl.model.BasicSingletonContainer;

public class HButton extends ButtonView {

  public HButton() {
    setModel(new BasicSingletonContainer());

    ItemPainter painter =
      new FocusableItemPainter(
      new TextItemPainter(
      getAlignment()));

    setPainter(painter);
  }

  public HButton(String label) {
    this();
    setLabel(label);
  }
}