package higa.sql.dataset;

import java.util.EventListener;

import higa.util.BasicEvent;
import higa.util.Dispatch;

public class NavigationEvent
  extends BasicEvent
  implements Dispatch {

  public static final int NAVIGATED = 0;

  public NavigationEvent(
    Object source, int id) {

    super(source, id);
  }

  public void dispatch(
    EventListener listener) {

    NavigationListener nl =
      (NavigationListener)listener;

    switch (getID()) {
      case NAVIGATED:
        nl.navigated(this);
        break;
      default:
        throw new IllegalArgumentException("ID:" + getID());
    }
  }
}
