package higa.util;

public class Alignment {
  public static final int LEFT = 0x01;
  public static final int CENTER = 0x02;
  public static final int RIGHT = 0x04;
  public static final int HORIZONTAL =
    (LEFT | CENTER | RIGHT);

  public static final int TOP = 0x10;
  public static final int MIDDLE = 0x20;
  public static final int BOTTOM = 0x40;
  public static final int VERTICAL =
    (TOP | MIDDLE | BOTTOM);

  private static final int ALL =
    (HORIZONTAL | VERTICAL);

  public static final boolean valid(int alignment) {
    return (alignment & ALL) == alignment;
  }
  
  private Alignment() {}
}