package higa.util;

import java.awt.Dialog;
import java.awt.Frame;
import java.awt.Dimension;
import java.awt.AWTEvent;
import java.awt.event.WindowEvent;

public class BaseDialog extends Dialog {

  public BaseDialog() {
    this(true);
  }

  public BaseDialog(boolean modal) {
    super(new Frame(), modal);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
  }

  public Dimension getPreferredSize() {
    return new Dimension(400, 300);
  }

  protected void processWindowEvent(WindowEvent evt) {
    super.processWindowEvent(evt);
    if (evt.getID() == WindowEvent.WINDOW_CLOSING) {
      this.dispose();
    }
  }
}